
PRAGMA foreign_keys = off;
BEGIN TRANSACTION;

-- Table: Impostazioni Xpress 2.0
CREATE TABLE IF NOT EXISTS Impostazioni (IdImpostazione INTEGER PRIMARY KEY NOT NULL, Descrizione TEXT NOT NULL, ValoreInt INTEGER, ValoreString TEXT);

-- Alter table canale per aggiunta colonna StringaInitModem
ALTER TABLE Canale RENAME TO sqlitestudio_temp_table;
CREATE TABLE Canale (IdCanale INTEGER PRIMARY KEY NOT NULL, Stato INTEGER NOT NULL DEFAULT (1), Descrizione TEXT NOT NULL, IndirizzoIP TEXT, Porta INTEGER, Seriale TEXT, Velocita INTEGER, Formato INTEGER, Parita INTEGER, StopBit INTEGER DEFAULT (NULL), ProtocolloModbus INTEGER NOT NULL, NumeroTelefono TEXT, UltimoIndirizzoIpIn TEXT DEFAULT (NULL), KeepAlive INTEGER, StringaInitModem TEXT);
INSERT INTO Canale (IdCanale, Stato, Descrizione, IndirizzoIP, Porta, Seriale, Velocita, Formato, Parita, StopBit, ProtocolloModbus, NumeroTelefono, UltimoIndirizzoIpIn, KeepAlive) SELECT IdCanale, Stato, Descrizione, IndirizzoIP, Porta, Seriale, Velocita, Formato, Parita, StopBit, ProtocolloModbus, NumeroTelefono, UltimoIndirizzoIpIn, KeepAlive FROM sqlitestudio_temp_table;
DROP TABLE sqlitestudio_temp_table;

COMMIT TRANSACTION;
PRAGMA foreign_keys = on;