
PRAGMA foreign_keys = off;
BEGIN TRANSACTION;
--3.1

-- DISPOSITIVO
ALTER TABLE Dispositivo RENAME TO sqlitestudio_temp_table;

CREATE TABLE Dispositivo (IdDispositivo INTEGER PRIMARY KEY NOT NULL, IdModello INTEGER NOT NULL, IdCanale INTEGER NOT NULL, Stato INTEGER NOT NULL DEFAULT (1), Descrizione TEXT NOT NULL, IndirizzoNodo INTEGER NOT NULL, V_Max INTEGER, V_NV INTEGER, A_Max INTEGER, A_NV INTEGER, W_Max INTEGER, W_NV INTEGER, KVA_Max INTEGER, KVA_NV INTEGER, KVAR_Max INTEGER, KVAR_NV INTEGER, IdModelloReale INTEGER, ContatoriEventi INTEGER, Allarme INTEGER, NumeroEventi INTEGER, NumeroEventiDaScaricare INTEGER, Log INTEGER NOT NULL DEFAULT 0, FormeOnda INTEGER NOT NULL DEFAULT (0), DatalogIntegrato INTEGER NOT NULL DEFAULT (0), NumeroRevisione INTEGER NOT NULL DEFAULT (- 1), NumeroSeriale INTEGER NOT NULL DEFAULT (- 1));

INSERT INTO Dispositivo (IdDispositivo, IdModello, IdCanale, Stato, Descrizione, IndirizzoNodo, V_Max, V_NV, A_Max, A_NV, W_Max, W_NV, KVA_Max, KVA_NV, KVAR_Max, KVAR_NV, IdModelloReale, ContatoriEventi, Allarme, NumeroEventi, NumeroEventiDaScaricare, Log, FormeOnda, DatalogIntegrato, NumeroRevisione) SELECT IdDispositivo, IdModello, IdCanale, Stato, Descrizione, IndirizzoNodo, V_Max, V_NV, A_Max, A_NV, W_Max, W_NV, KVA_Max, KVA_NV, KVAR_Max, KVAR_NV, IdModelloReale, ContatoriEventi, Allarme, NumeroEventi, NumeroEventiDaScaricare, Log, FormeOnda, DatalogIntegrato, NumeroRevisione FROM sqlitestudio_temp_table;

DROP TABLE sqlitestudio_temp_table;

COMMIT TRANSACTION;
PRAGMA foreign_keys = on;